Bug 170083 - Top showing bad cpu usage numbers
Summary: Top showing bad cpu usage numbers
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: procps   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-07 01:56 UTC by Brian Gerst
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 12:51:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Gerst 2005-10-07 01:56:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
The cpu time summary line is showing incorrect numbers.  According to /proc/stat, iowait is not increasing yet top shows ~3% wait.

Version-Release number of selected component (if applicable):
3.2.5-7

How reproducible:
Always

Steps to Reproduce:
Run top

Actual Results:  Cpu(s):  3.7% us,  0.8% sy,  0.0% ni, 91.4% id,  3.3% wa,  0.0% hi,  0.6% si


Expected Results:  Cpu(s):  0.7% us,  0.3% sy,  0.0% ni, 99.0% id,  0.0% wa,  0.0% hi,  0.0% si


Additional info:

Removing procps-3.2.5.remcpu.patch fixes the problem.

Comment 1 Karel Zak 2005-10-11 17:30:53 UTC
Do you have single CPU or SMP box?

Comment 2 Brian Gerst 2005-10-11 17:39:12 UTC
Single cpu.

Comment 3 Karel Zak 2005-10-12 12:51:24 UTC
Fixed. Update to procps-3.2.5-8.


Note You need to log in before you can comment on or make changes to this bug.